Author Topic: Installation on Parrot OS (Debian)  (Read 119 times)

0 Members and 2 Guests are viewing this topic.

Installation on Parrot OS (Debian)
Hello All!

I am trying to get Diaspora installed on my Debian build. I made the folder and got into the fs2_open folder and ran ./autogen.sh and it goes for a while and errors out with this:

Code: [Select]
checking for OpenAL... no
*** Could not run OpenAL test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means OpenAL was incorrectly installed
*** or that you have moved OpenAL since it was installed.
configure: error: *** OpenAL installation not found!

here is what the config file has to say:
Code: [Select]
configure:6754: checking for OpenAL
configure:6792: gcc -o conftest     conftest.c   -lopenal >&5
conftest.c:26:10: fatal error: AL/al.h: No such file or directory
 #include <AL/al.h>
          ^~~~~~~~~
compilation terminated.

I looked for the matching packages that this is looking for and this is what synaptic says I have.



What package do I need to install to make this work?

I have already checked the threads, and I guess I havn't seen any other Linux  OpenAL problems.

I tried this from another thread and it had errors but didn't list anything from OpenAL so I ignored it.

Code: [Select]
sudo apt-get install libopenal-dev libogg-dev libvorbis-dev build-essential automake1.10 autoconf libsdl1.2-dev libtheora-dev libreadline6-dev libpng12-dev libjpeg62-dev liblua5.1-0-dev libjansson-dev
See attached config.log

 
Re: Installation on Parrot OS (Debian)
install libopenal-dev

but I suggest you to try Diaspora with more current build than fs2_open 3.6.13
« Last Edit: October 01, 2017, 10:13:50 am by tomimaki »

 
Re: Installation on Parrot OS (Debian)
install libopenal-dev

but I suggest you to try Diaspora with more current build than fs2_open 3.6.13

How do I use the new fs2_open with Diaspora? I will start hunting for a guide, but I didn't know if maybe you had seen one.

 
Re: Installation on Parrot OS (Debian)
install libopenal-dev

but I suggest you to try Diaspora with more current build than fs2_open 3.6.13

installing libopenal-dev got me one step closer and then another error.

 
Re: Installation on Parrot OS (Debian)
https://github.com/scp-fs2open/fs2open.github.com/wiki/Building-on-Linux

install libopenal-dev

but I suggest you to try Diaspora with more current build than fs2_open 3.6.13

How do I use the new fs2_open with Diaspora? I will start hunting for a guide, but I didn't know if maybe you had seen one.

Just put build in Diaspora folder and select it in wxlauncher.
« Last Edit: October 01, 2017, 11:14:09 am by tomimaki »

 

Offline niffiwan

  • 211
  • Eluder Class
Re: Installation on Parrot OS (Debian)
If you're looking for a guide to building from source then this is the most recent:
https://github.com/scp-fs2open/fs2open.github.com/wiki/Building-on-Linux

If you find any issues, please let us know so the guide can be updated
Creating a fs2_open.log | Red Alert Bug = Hex Edit | MediaVPs 2014: Bigger HUD gauges | 32bit libs for 64bit Ubuntu
----
Linux OBS Packages: FSO 3.7.0 | FSO BP Build | wxLauncher (?) | PCS2 (?) | wxVPView (?)
Debian Packages (testing/unstable): Freespace2 | wxLauncher
----
m|m: I think I'm suffering from Stockholm syndrome. Bmpman is starting to make sense and it's actually written reasonably well...